<html>

<head>
  <title>STEP-3</title>
</head>

<body>

<?php

/*
Формат БД EWC
0 - ID               1 - РАЗДЕЛ               2 - ПОДРАЗДЕЛ
3 - НАЗВАНИЕ         4 - ЦЕНА                 5 - ОПТ
6 - АРТИКУЛ          7 - КРАТКОЕ ОПИСАНИЕ     8 - СКИДКИ, КЛЮЧЕВЫЕ СЛОВА
9 - ФОТО             10 - ФОТО2               11 - ЕД.ИЗМ
12 - 1RUR            13 - ПРОИЗВОДИТЕЛЬ       14 - СТАТЬЯ
15 - ПОЛНОЕ ОПИСАНИЕ 16 - КОЛ-ВО НА СКЛАДЕ    17 - ВЕС
18 - ОБЪЕМ           19 - НДС                 20 - СЕРТИФИКАТЫ
21 - ПОСТАВЩИК       22 - META TITLE          23 - META DESCRIPTION
24 - META KEYWORDS   25 - МИН ЗАКАЗ           26 - g:СТРАНА ПРОИЗВОДСТВА
27 - g:ДОСТАВКА      28 - g:ЦЕНА ДОСТАВКИ     29 - g:КАТЕГОРИЯ ТОВАРА
30 - g:ТИП ТОВАРА    31 - g:ШТРИХКОД

Входные парметры
0 - Раздел			1 - Подраздел//Подраздел	2 - Название
3 - Артикул			4 - Описание				5 - Цена
6 - URL мал. фото		7 - Большие фото xx^yy		8 - Назв. документа:URL^
9 - Характерирстика:Значение:Ед.Изм^
10 - Вес кг
*/

require "./settings.inc";
require "./translit.php";
$fp = @fopen("./db.txt", "rt");
$fp2 = @fopen("./db_index.txt", "w");
$fp3 = @fopen("./images.txt", "w");
$fp4 = @fopen("./files.txt", "w");
$ff=0;
$filt=Array();
$classes=Array();
$units=Array();
if ($fp) {
while(!feof($fp)) {
$st=trim(fgets($fp));
if($st!="") {
unset($o);
$o=explode("|",$st);
if($o[1]!="") {
unset($r);
$r[0]=$o[3]; //ID
$r[1]=$o[0]; //Раздел
$r[2]=$o[1]; //Подразделы
$r[3]=$o[2]; //Название
$r[4]=$o[5]; //Цена розница
$r[5]=$o[5]; //Цена опт
$r[6]=$o[3]; //Артикул
$r[7]=$o[4]; //Краткое описание
$r[8]=""; //Скидки ключевые аксессуары
if($o[6]!="") {
unset($t);
$t=explode(".",$o[6]);
$type=strtolower(array_pop($t));
if(($type=="jpg")||($type=="jpeg")||($type=="png")||($type=="gif")) {

if(!file_exists("./i/".md5($o[6]).".".$type)) {
if(!copy($o[6],"./i/".md5($o[6]).".".$type)) {
fputs($fp3,$o[6]."\n");
} else {
$r[9]="<img src='i/".md5($o[6]).".".$type."'>";
}
} else {
$r[9]="<img src='i/".md5($o[6]).".".$type."'>";
}
}
} else {
$r[9]=""; //Малые фото
}
if($o[7]!="") {
unset($z);
$z=explode("^",$o[7]);
$r[10]="";
foreach($z as $v){
unset($t);
$t=explode(".",$v);
$type=strtolower(array_pop($t));
if(($type=="jpg")||($type=="jpeg")||($type=="png")||($type=="gif")) {
if(!file_exists("./i/".md5($v).".".$type)) {
if(!copy($v,"./i/".md5($v).".".$type)) {
fputs($fp3,$v."\n");
} else {
$r[10].="<img src='i/".md5($v).".".$type."'><br>";
}
}  else {
$r[10].="<img src='i/".md5($v).".".$type."'><br>";
}
}
}
} else {
$r[10]=""; //Большие фото
}
$r[11]=""; //Ед.Изм
$r[12]="1RUR";//В продаже и валюта
$r[13]="$defbrand";  //Бренд
$r[14]=""; //Статьи
$r[15]=""; //Описание
$r[16]="10"; //Кол-во на складе
$r[17]=$o[10]; //Вес
$r[18]=""; //Объем
$r[19]=""; //НДС
if($o[8]!="") {
unset($z);
$r[20]="";
$z=explode("^",$o[8]);
foreach($z as $v){
unset($t);
$t=explode(".",$v);
$type=strtolower(array_pop($t));
if(($type=="jpg")||($type=="jpeg")||($type=="png")||($type=="gif")||($type=="doc")||($type=="docx")||($type=="xls")||($type=="xlsx")||($type=="zip")||($type=="rar")||($type=="7z")||($type=="pdf")||($type=="htm")||($type=="txt")) {
$icon="fa fa-file-o";
if($type=="pdf") {$icon="fa fa-file-pdf-o";	}
if(($type=="xls")||($type=="xlsx")) {$icon="fa fa-file-excel-o";}
if(($type=="doc")||($type=="docx")) {$icon="fa fa-file-word-o";}
if(($type=="zip")||($type=="rar")||($type=="7z")) {$icon="fa fa-file-archive-o";}
if(($type=="jpg")||($type=="jpeg")||($type=="png")||($type=="gif")) {$icon="fa fa-file-photo-o";}
unset($t);
$t=explode(":",$v);
$urlname=array_shift($t);
$url=implode(":",$t);
if(!file_exists("./f/".md5($url).".".$type)) {
if(!copy($url,"./f/".md5($url).".".$type)) {
echo $url." - ERROR<br>";
fputs($fp4,$url."\n");
} else {
$r[20].="<div class=\"sert lnk\"><a class=iframe href=\"f/".md5($url).".".$type."\"><i class=\"".$icon." ib mr\"></i>$urlname</a></div>";
}
}  else {
$r[20].="<div class=\"sert lnk\"><a class=iframe href=\"f/".md5($url).".".$type."\"><i class=\"".$icon." ib mr\"></i>$urlname</a></div>";
}
}
}
} else {
$r[20]=""; //Сертификаты, документы
}
$r[21]=""; //ПОСТАВЩИК
$r[22]=""; //META TITLE
$r[23]=""; //META DESCRIPTION
$r[24]=""; //META KEYWORDS
$r[25]=""; //МИН ЗАКАЗ
$r[26]=""; //g:СТРАНА ПРОИЗВОДСТВА
$r[27]=""; //g:ДОСТАВКА
$r[28]=""; //g:ЦЕНА ДОСТАВКИ
$r[29]=""; //g:КАТЕГОРИЯ ТОВАРА
$r[30]=""; //g:ТИП ТОВАРА
$r[31]=""; //g:ШТРИХКОД
$r[32]="";
$r[33]="";

//ФИЛЬТРЫ

$cname=translit($o[0]."_".$o[1]."_");
$class=$cname;
$classes[$class]=$cname."|".trim(str_replace("  ", " ",trim($o[0])))."|".trim(str_replace("  ", " ",trim($o[1])))."|";

$specs="";
$i=1;

$cur=Array();
unset($x);
$x=explode("^",$o[9]);
foreach ($x as $fc) {
unset($z);
$z=explode(":",$fc);
$etim=$z[0];
$value=$z[1];
$unit=$z[2];
if($value=="true") {$value="Есть";}
if($value=="false") {$value="Нет";}
if($value=="*") {$value="не определено";}
if($value=="-") {$value="";}
if($etim!="") {
$filtval=trim($etim)."|".trim($value)."|".trim($unit)."|";
$filt[$class][$etim]=$filtval;
$cur[$etim]=trim($value);
}
$i++;
}
if(isset($filt[$class])) {
foreach ($filt[$class] as $key => $etm) {
$specs.=$cur[$key]."|";
}
}
$r[34]=$specs;
$r[35]="";




fputs($fp2,implode("|",$r)."|\n");
$ff++;
}
echo "\n";
}


}
}
fclose($fp4);
fclose($fp3);
fclose($fp2);
fclose($fp);
/*
echo "<pre>";
var_dump($filt);
echo "</pre>";
*/
if(count($classes)>0) {
foreach ($classes as $key => $val) {
unset($out);
$out=explode("|",$val);
if(isset($filt[$key])) {
$fp=fopen("./cc/cc_".$out[0].".inc","w");

foreach ($filt[$key] as $k => $v) {
unset($o);
$o=explode("|",$v);
fputs($fp,$o[0]."|".$o[0]."|".$o[2]."|||\n");
}
fclose($fp);
}
}
}
echo "<h2>Total items: $ff</h2>";
?>
<h1>OK</h1>
</body>

</html>